# Element (ARX API Documentation)

org.deidentifier.arx.certificate.elements

## Interface Element

- All Known Implementing Classes:
    ElementData, ElementList, ElementNewLine, ElementPageBreak, ElementSubtitle, ElementText, ElementTitle, ElementVerticalSpace

      public interface Element

  An abstract element

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `render(rst.pdfbox.layout.elements.Document target, int indent, CertificateStyle style)` Renders the element to the given target

- - ### Method Detail

    - #### render

          void render(rst.pdfbox.layout.elements.Document target,
                    int indent,
                    CertificateStyle style)
                      throws java.io.IOException

      Renders the element to the given target
      Parameters:
        `target` -
        `indent` -
        `style` -
      Throws:
        `java.io.IOException`